package com.bonus.material.basic.mapper;

import java.util.List;
import com.bonus.material.basic.domain.BmQrcodeInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 二维码管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-09-26
 */
public interface BmQrcodeInfoMapper 
{
    /**
     * 查询二维码管理
     * 
     * @param qrId 二维码管理主键
     * @return 二维码管理
     */
    public BmQrcodeInfo selectBmQrcodeInfoByQrId(Long qrId);

    /**
     * 查询二维码管理列表
     * 
     * @param bmQrcodeInfo 二维码管理
     * @return 二维码管理集合
     */
    public List<BmQrcodeInfo> selectBmQrcodeInfoList(BmQrcodeInfo bmQrcodeInfo);

    /**
     * 新增二维码管理
     * 
     * @param bmQrcodeInfo 二维码管理
     * @return 结果
     */
    public int insertBmQrcodeInfo(BmQrcodeInfo bmQrcodeInfo);

    /**
     * 修改二维码管理
     * 
     * @param bmQrcodeInfo 二维码管理
     * @return 结果
     */
    public int updateBmQrcodeInfo(BmQrcodeInfo bmQrcodeInfo);

    /**
     * 删除二维码管理
     * 
     * @param qrId 二维码管理主键
     * @return 结果
     */
    public int deleteBmQrcodeInfoByQrId(Long qrId);

    /**
     * 批量删除二维码管理
     * 
     * @param qrIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBmQrcodeInfoByQrIds(Long[] qrIds);

    /**
     * 根据月份查询
     * @param genMonth
     * @return
     */
    List<BmQrcodeInfo> selectByMonth(String genMonth);

    /**
     * 查询详情
     * @param qrIds
     * @return
     */
    List<BmQrcodeInfo> getDetails(@Param("list") List<Long> qrIds);
}
